MimeTypesConfiguration (Grails 4.0.11)
Date: 2021-06-24

Package: org.grails.plugins.web.mime

## [Java] Class MimeTypesConfiguration

- org.grails.plugins.web.mime.MimeTypesConfiguration

- Configuration for Codecs

  Authors:
    graemerocher
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MimeTypesConfiguration (GrailsApplication grailsApplication, java.util.List<MimeTypeProvider> mimeTypeProviders)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.util.Map<java.lang.CharSequence, java.lang.Object>` | `getMimeConfig(Config config)`
    `` | `protected MimeTypeResolver` | `mimeTypeResolver()`
    `` | `protected MimeType[]` | `mimeTypes()`
    `` | `protected MimeUtility` | `mimeUtility(MimeTypesConfiguration.MimeTypesHolder mimeTypesHolder)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public MimeTypesConfiguration(GrailsApplication grailsApplication, java.util.List<MimeTypeProvider> mimeTypeProviders)

  - ### Method Detail

    - #### protected java.util.Map<java.lang.CharSequence, java.lang.Object> getMimeConfig(Config config)

    - #### @org.springframework.context.annotation.Bean("mimeTypeResolver") @org.springframework.context.annotation.Primary protected MimeTypeResolver mimeTypeResolver()

    - #### @org.springframework.context.annotation.Bean("mimeTypes") @org.springframework.context.annotation.Primary protected MimeType[] mimeTypes()

    - #### @org.springframework.context.annotation.Bean("grailsMimeUtility") @org.springframework.context.annotation.Primary protected MimeUtility mimeUtility(MimeTypesConfiguration.MimeTypesHolder mimeTypesHolder)